using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Complex;
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public partial class ComplexUser : ApiEntity
{
    public ComplexUser()
    {
        
    }

    public ComplexUser(Guid userId, Guid complexId)
    {
        UserId = userId;
        ComplexId = complexId;
    }
    public Guid UserId { get; internal set; }
    public Guid ComplexId { get; internal set; }

    public ApplicationUser? User { get; internal set; }
    public Complex? Complex { get; internal set; }

    public List<ComplexUserRole> Roles { get; internal set; } = new();
}